package cn.wise.sc.energy.power.plant.business;

import cn.wise.sc.energy.power.plant.business.security.SecurityConfig;
import org.redisson.spring.cache.RedissonCacheStatisticsAutoConfiguration;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.ImportAutoConfiguration;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

@EnableScheduling
@SpringBootApplication(exclude={
        RedissonCacheStatisticsAutoConfiguration.class
})
@ImportAutoConfiguration(SecurityConfig.class)
public class PowerPlantApplication {
    public static void main(String[] args) {
        System.setProperty("jna.protected","true");
        SpringApplication.run(PowerPlantApplication.class, args);
    }
}
