package cn.wise.sc.energy.power.plant.business.domain.vo;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

import javax.persistence.Id;

/**
 * @description:
 * @author: qh
 * @create: 2020-07-22 16:42
 **/
@Data
@AllArgsConstructor
@NoArgsConstructor
public class PlantInfoVo extends EntityVo{

    /**
     * 电站唯一标识
     */
    private String plantId;
    /**
     * 电站真真实名称
     */
    private String plantName;
    /**
     * 电站所在国家
     */
    private String country;
    /**
     * 电站所在省份
     */
    private String province;
    /**
     * 电站所在纬度
     */
    private String latitude;
    /**
     * 电站所在经度
     */
    private String longitude;

    private String plantCode;

}
