package cn.wise.sc.energy.power.plant.business.domain;

import lombok.Data;

import java.io.Serializable;
import java.util.List;

/**
 * @description: 分页参数
 * @author: qh
 * @create: 2020-08-12 11:33
 **/
@Data
public class PageQuery implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer pageNo = 0;

    private Integer pageSize = 10;

    private List<String> keywords;
    private String vaguewords;
    private String plantId;
    private String startTime;
    private String endTime;

    private String order;

}
