package cn.wise.sc.energy.power.plant.business.domain.vo;


import lombok.Data;

import java.util.List;

/**
 * @description:
 * @author: qh
 * @create: 2020-07-22 20:19
 **/
@Data
public class UnitInfoVo extends EntityVo {

    private String unitCodeId;
    /**
     * 监测单元所在电站的标识
     */
    private String plantId;
    /**
     * 监测单元所属设备的标识
     */
    private String deviceId;
    /**
     * 监测单元名称
     */
    private String unitName;
    /**
     * 设备索引号(保留)
     */
    private String machineId;
    /**
     * 监测单元索引号(保留)
     */
    private String unitId;
    /**
     * 监测单元传输网络代码(保留
     */
    private String unitNetCode;
    /**
     * 监测单元指出的功能
     * TrendAnalys|BinaryTreeAnalys|RadarMonitor
     * TrendAnalys: 支持趋势分析
     * VibrationAnalys: 支持波形频谱分析
     * BinaryTreeAnalys: 支持二叉树分析诊断（作废）
     * RadarMonitor: 支持雷达图监测（作废）
     */
    private String function;
    /**
     * 监测单元静态参数描述
     */
    private String unitParam;

    private List<CharacterParamInfoVo> characters;

}
